# $NetBSD: doc.install.mk,v 1.2 2003/12/14 15:56:15 hrs Exp $

DESTDIR?=/tmp/htdocs

INSTALL_FILES+=	${DOCBOOKCSS}

.for F in ${FORMATS}
install: install-${F}
.endfor

install-html: ${DOC}.html ${INSTALL_FILES}
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}

install-html-split: ${HTML_INDEX} ${MANIFEST} ${INSTALL_FILES}
	mkdir -p ${DESTDIR}
	cp ${HTML_INDEX} `cat ${MANIFEST}` ${DESTDIR}

install-ps: ${DOC}.ps
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}

install-pdf: ${DOC}.pdf
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}
