<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- html -*- -->
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- $NetBSD: netbsd.xsl,v 1.4 2004/02/28 16:20:40 jschauma Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:html="http://www.w3.org/1999/xhtml"
		version="1.0">

  <!-- beautify blocks of code -->
  <xsl:template match="programlisting|screen">
    <table class="programlisting">
      <tr><td><pre><xsl:apply-templates/></pre></td></tr>
    </table>
  </xsl:template>

  <!-- link to pkg README.html -->
  <xsl:template match="pkg">
    <a>
      <xsl:attribute name="href">
        <xsl:text>ftp://ftp.NetBSD.org/pub/NetBSD/packages/pkgsrc/</xsl:text>
        <xsl:value-of select="."/><xsl:text>/README.html</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="class"><xsl:text>pkgname</xsl:text></xsl:attribute>
      <xsl:value-of select="."/>
    </a>
  </xsl:template>

  <!-- link to port index -->
  <xsl:template match="port">
    <a>
      <xsl:attribute name="href">
        <xsl:text>/Ports/</xsl:text><xsl:value-of select="."/>
        <xsl:text>/</xsl:text>
      </xsl:attribute>
      <xsl:value-of select="."/>
    </a>
  </xsl:template>

  <!-- link to gnats PR -->
  <xsl:template match="gnatspr">
    <a>
      <xsl:attribute name="href">
        <xsl:text>http://www.NetBSD.org/cgi-bin/query-pr-single.pl?number=</xsl:text>
        <xsl:value-of select="number"/>
      </xsl:attribute>
      <xsl:attribute name="class"><xsl:text>gnatspr</xsl:text></xsl:attribute>
      <xsl:value-of select="category"/><xsl:text>/</xsl:text>
      <xsl:value-of select="number"/>
    </a>
  </xsl:template>

</xsl:stylesheet>

